Subject: Re: [PATCH] INSTALL: minor typo fix

From: Jeff King <[email-masked]>
Date: Tue, 27 Jan 2015 12:17:44 -0500

On Wed, Jan 28, 2015 at 06:09:52AM +1300, Chris Packham wrote:

> On Wed, Jan 28, 2015 at 5:15 AM, Alexander Kuleshov
> <[email-masked]> wrote:
> > Signed-off-by: Alexander Kuleshov <[email-masked]>
> > ---
> >  INSTALL | 2 +-
> >  1 file changed, 1 insertion(+), 1 deletion(-)
> >
> > diff --git a/INSTALL b/INSTALL
> > index ffb071e..6f1c3d5 100644
> > --- a/INSTALL
> > +++ b/INSTALL
> > @@ -53,7 +53,7 @@ or
> >
> >  As a caveat: a profile-optimized build takes a *lot* longer since the
> >  git tree must be built twice, and in order for the profiling
> > -measurements to work properly, ccache must be disabled and the test
> > +measurements to work properly, cache must be disabled and the test
> >  suite has to be run using only a single CPU.  In addition, the profile
> >  feedback build stage currently generates a lot of additional compiler
> >  warnings.
> > --
> 
> That's not a typo ccache[1] is a compiler cache tool that can be used
> to speed up rebuilding object files. I don't know anything about the
> profile enabled builds but I imagine it has something to do with
> needing the 2nd build to produce difference object files from the
> first (with ccache enabled I imagine the 2nd build would result in
> identical output since on source files are changed between builds).

Yes, ccache creates a cache key for each file based on the command line
flags to the compiler, and the output of the pre-processor when run on
the file. The profiling data generated by the first run is outside of
what ccache knows about, so it can't include that information in its
cache key (and consequently, we get false cache hits).

So yeah. Not a typo.

-Peff